[API]
LVITEM
SendMessageA
SendMessageW

[CODE]
Public Function ListView_Item_GetData(ByVal hWndListView As Long, ByVal ItemID As Long) As Long
  Dim xType1 As LVITEM

  xType1.mask = &H4&
  xType1.iItem = ItemID
  If IsUnicode Then
    Call SendMessageW(hWndListView, &H104B&, 0&, xType1)
    Else
    Call SendMessageA(hWndListView, &H1005&, 0&, xType1)
    End If
  ListView_Item_GetData = xType1.lParam
  End Function